Core
====

Core infrastructure: DataSource container, Result wrapper, device selection, precision management, and exception classes.

.. automodule:: pystatistics.core
   :members:
   :undoc-members:
   :show-inheritance:

DataSource
----------

.. autoclass:: pystatistics.core.DataSource
   :members:
   :undoc-members:
